ubuntu-location-service: com::ubuntu::location::service::Skeleton::CredentialsResolver Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | List of all members
com::ubuntu::location::service::Skeleton::CredentialsResolver Struct Referenceabstract

`#include <skeleton.h>`

Inheritance diagram for com::ubuntu::location::service::Skeleton::CredentialsResolver:
Collaboration diagram for com::ubuntu::location::service::Skeleton::CredentialsResolver:

## Public Types
typedef std::shared_ptr< CredentialsResolver > | Ptr

## Public Member Functions
| CredentialsResolver ()=default
virtual | ~CredentialsResolver ()=default
virtual Credentials | resolve_credentials_for_incoming_message (const core::dbus::Message::Ptr &msg)=0

## Detailed Description

Definition at line 49 of file skeleton.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<CredentialsResolver> com::ubuntu::location::service::Skeleton::CredentialsResolver::Ptr

Definition at line 51 of file skeleton.h.

## Constructor & Destructor Documentation

## ◆ CredentialsResolver()

com::ubuntu::location::service::Skeleton::CredentialsResolver::CredentialsResolver | ( |  | ) |
| default

## ◆ ~CredentialsResolver()

virtual com::ubuntu::location::service::Skeleton::CredentialsResolver::~CredentialsResolver | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ resolve_credentials_for_incoming_message()

virtual Credentials com::ubuntu::location::service::Skeleton::CredentialsResolver::resolve_credentials_for_incoming_message | ( | const core::dbus::Message::Ptr & | msg | ) |
| pure virtual

Implemented in com::ubuntu::location::service::Skeleton::DBusDaemonCredentialsResolver.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/skeleton.h